View Issue Details

IDProjectCategoryView StatusLast Update
0016787MediaMonkey 5Main Panelpublic2021-07-30 17:20
Reporterlowlander Assigned To 
PriorityurgentSeveritymajorReproducibilitysometimes
Status feedbackResolutionreopened 
Product Version5.0 
Target Version5.0.2Fixed in Version5.0 
Summary0016787: Media Tree Node selection changes, possibly due to scanning
DescriptionNot entirely sure what's happening, but 1 speculation would be that as nodes are added during scanning it jumps to the same sub-node number.
Steps To ReproduceLog covers the following observed events. The node selected was Music > Location > D > Media > TempMusic > Van Morrison > Three Cords And The Truth.

1) Filelisting shows Loading regularly while Filelisting had already been loaded during scanning 0016788
2) Media Tree selection jumped to Classical Music (Breadcrumb navigation didn't update and used it to return to correct selection)
3) Media Tree and Filelisting jumped to Music > Location > D > Media > TempMusic > The Rolling Stones
4) Media Tree jumped to Music > Location > D > Media (not sure if Filelisting did too)
5) After returning to Music > Location > D > Media > TempMusic > Van Morrison > Three Cords And The Truth the Media Tree and Filelisting jumped to Music > Location > D > Media > TempMusic > The David Rismand Quintet
Additional InformationNote that ID3 removal is also happening (probably not required) and playback is also happening during this. All events reported occurred during scanning, all captured towards end of large log (sorry).
TagsNo tags attached.
Fixed in build2270

Relationships

duplicate of 0017343 closedLudek Switching Next in Properties can move selection in Media Tree up one node 
related to 0016788 closedlowlander Constant Loading message in Filelistings 
related to 0016422 closedLudek MM Scans the wrong path if the user attempts to scan a directory after deleting files 
related to 0016811 closedLudek Filelisting Loading loses editing state of inline editing 
related to 0016866 closedLudek MediaMonkey takes keyboard input while not the active window 

Activities

lowlander

2020-07-05 18:56

developer  

Selected node switch.zip (3,538,411 bytes)

Ludek

2020-07-08 20:52

developer   ~0058815

I was unable to simulate the issue , but I fixed some related code tweaks and added more debug messages.

So test this issue in 2260 and generate new log (in case the issue persists).

peke

2020-07-10 23:08

developer   ~0058868

Verified 2260

I am unable to replicate behavior in 2260

Ludek

2020-07-13 17:31

developer   ~0058931

Resolved in 2261

peke

2020-07-17 22:45

developer   ~0059011

Verified 2261

Unable to reproduce, please close after second confirmation.

Ludek

2020-08-27 08:25

developer   ~0059488

I guess most of these have been already fixed in separate issues, please re-test in 2265 and if you are still seeing some issues then report them separatelly.

peke

2020-08-28 11:19

developer   ~0059505

Reminder sent to: lowlander

Verified 2265

@lowlander As talked offline like you said it is hard to replicate please try verify and close after.

lowlander

2020-10-13 17:18

developer   ~0059846

The Media Tree continues to be problematic in it's behavior for me. In this log (end of log) it wouldn't open D:\Media\TempMusic in the Entire Library > Location node anymore: https://1drv.ms/u/s!AjRcJhPd0elwgfpdmeJdHXgvzSZcQQ?e=Suyhwh

Ludek

2020-10-15 20:14

developer   ~0059873

I've made some tuning based on the log.

Please give a try with 2270 whether you are still seeing the issues.

lowlander

2020-12-21 16:17

developer   ~0060992

Confirmed 2886

lowlander

2021-05-06 17:43

developer   ~0063079

This remains an issue and was seen on 2401. It's not something that happens when MM is started, but at some point it can enter a state where it keeps changing selecting in the Media Tree. This happens even when MM isn't the active window and just playback is happening.

2401 logs in same place. Both capture the selection in the Media Tree changing from Lil' Bear Singers to Lights (next node up). First is a full MM log where it happened when the Properties for Lil' Bear Singers album was open, second when Firefox was active App.

Ludek

2021-05-25 22:54

developer   ~0063486

Resolving as duplicate of 0017343

Based on the logs the reason is the same: subsequent folder auto-update after any property change (be it via properties or e.g. by changing play count during playback) somehow causes this issue.
To be resolved as 0017343